[Bitcoin-development] Development Roadmap of Bitcoin Core 0.9.2

Wladimir laanwj at gmail.com
Thu Apr 24 08:25:43 UTC 2014


On Thu, Apr 24, 2014 at 10:15 AM, Warren Togami Jr. <wtogami at gmail.com> wrote:

> I now see how it worked with Bitcoin 0.8.6.  Lucid has qt-4.6.2.
>
> It is more than one symbol.  It does not seem to be a wise thing to replace
> functions beyond the trivial in glibc and libstdc++.

Qt is not part of the compiler/build environment. Thus we don't need
to resort to those kind of tricks.

As I said: we can easily build against Qt 4.6 instead. As said, that
wouldn't even need building Qt on linux, just unpacking and exporting
the headers.

But indeed we need to decide on a cut-off point. I'd have preferred
4.7 or 4.8. Qt 4.6 is *ancient* - it was released in februari 2010.
Apart from tails it doesn't seem like anyone is using those old stable
distributions on the desktop.

Wladimir




More information about the bitcoin-dev mailing list